### Constructor

# EDataServer SoupSession new

since: 3.26

#### Declaration [src]

    ESoupSession*
    e_soup_session_new (
      ESource* source
    )

#### Description [src]

Creates a new `ESoupSession` associated with given `source`. The `source` can be used to store and read SSL trust settings, but only if it already contains an `ESourceWebdav` extension. Otherwise the SSL trust settings are ignored.

Available since: 3.26

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the function.

#### Return value

Type: `ESoupSession`

A new `ESoupSession`; free it with g_object_unref(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.